%define anolis_release 3

Name:		source-highlight
Version:	3.1.9
Release:	%{anolis_release}%{?dist}
Summary:	Produces a document with syntax highlighting

License:	GPLv3+
URL:		http://www.gnu.org/software/src-highlite/
Source0:	ftp://ftp.gnu.org/gnu/src-highlite/%{name}-%{version}.tar.gz
BuildRequires:	make
BuildRequires: 	bison, flex, boost-devel
BuildRequires: 	help2man, chrpath, pkgconfig(bash-completion)
BuildRequires: 	gcc, gcc-c++

Patch0:		0000-remove-throw-specifications.patch
Patch1:		0001-fix-tests-build-failure-on-clang-and-gcc12.patch		

%description
This program, given a source file, produces a document with syntax
highlighting. At the moment this package can handle:
Java, Javascript, C/C++, Prolog, Perl, Php3, Python, Flex, ChangeLog, Ruby,
Lua, Caml, Sml and Log as source languages, and HTML, XHTML and ANSI color
escape sequences as output format.

%package 	devel
Summary: 	Development files for source-highlight
Requires: 	%{name} = %{version}-%{release}
Requires: 	boost-devel

%description 	devel
Development files for source-highlight.

%prep
%autosetup -n %{name}-%{version} -p1

%build
export CXXFLAGS="-std=c++14 $RPM_OPT_FLAGS"
%configure \
	--disable-static \
	--with-boost-regex=boost_regex

make

%install
%make_install

mv $RPM_BUILD_ROOT%{_datadir}/doc/ docs
%{__sed} -i 's/\r//' docs/source-highlight/*.css

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/source-highlight
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/source-highlight-settings

echo -e "\ncxx = cpp.lang" >> $RPM_BUILD_ROOT%{_datadir}/source-highlight/lang.map
 
bashcompdir=$(pkg-config --variable=completionsdir bash-completion)
install -p -d $RPM_BUILD_ROOT$bashcompdir
pushd $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -p -m 0755 source-highlight $RPM_BUILD_ROOT$bashcompdir/
popd
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d

%files
%license COPYING
%doc docs/source-highlight/* AUTHORS NEWS
%{_bindir}/cpp2html
%{_bindir}/java2html
%{_bindir}/source-highlight
%{_bindir}/source-highlight-esc.sh
%{_bindir}/check-regexp
%{_bindir}/source-highlight-settings
%{_bindir}/src-hilite-lesspipe.sh
%{_datadir}/bash-completion/
%{_libdir}/libsource-highlight.so.*
%dir %{_datadir}/source-highlight
%{_datadir}/source-highlight/*
%{_mandir}/man1/*
%{_infodir}/source-highlight*.info*

%files		devel
%dir %{_includedir}/srchilite
%{_libdir}/libsource-highlight.so
%{_libdir}/pkgconfig/source-highlight.pc
%{_includedir}/srchilite/*.h

%changelog
* Wed Mar 01 2023 Funda Wang <fundawang@yeah.net> - 3.1.9-3
- Rebuild with boost 1.81.0

* Mon Apr 25 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.1.9-2
- Bump version to rebuild with icu-71

* Mon Apr 18 2022 happy_orange <songnannan@linux.alibaba.com> - 3.1.9-1
- Init package from upstream
